%define anolis_release 2
Name:           prefixdevname
Version:        0.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Udev helper utility that provides network interface naming using user defined prefix

License:        MIT
URL:            https://www.github.com/msekletar/prefixdevname
Source0:        https://github.com/msekletar/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-%{version}-vendor.tar.gz

Patch0:         0999-sema-fix-cast-needed-to-build-with-rust-1.26.patch

BuildRequires:  rust-toolset
BuildRequires:  cargo
BuildRequires:  git
BuildRequires:  systemd-devel

%description
This package provides udev helper utility that tries to consistently name all ethernet NICs using
user defined prefix (e.g. net.ifnames.prefix=net produces NIC names net0, net1, ...). Utility is
called from udev rule and it determines NIC name and writes out configuration file for udev's
net_setup_link built-in (e.g. /etc/systemd/network/71-net-ifnames-prefix-net0.link).

%prep
%setup -q
%ifarch aarch64
%patch0 -p1
%endif

%cargo_prep -V 1

%build
%cargo_build

%install
%make_install

%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_prefix}/lib/udev/%{name}
%{_prefix}/lib/udev/rules.d/*.rules
%dir %{_prefix}/lib/dracut/modules.d/71%{name}
%{_prefix}/lib/dracut/modules.d/71%{name}/*

%changelog
* Wed Mar 29 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.0-2
- Del Specific Fields

* Thu Mar 10 2022 DengXiewei <dengxiewei@linux.alibaba.com> - 0.1.0-1
- Init from upstream 0.1.0
